//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

#ifndef WALL_H
#define WALL_H

#include <stdio.h>
#include <stdlib.h>

#include <math.h>
#include <string.h>

#include <GL/glut.h>

#include <vector>

using namespace std;

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

struct Point2D {
  double x;
  double y;
};

//----------------------------------------------------------------------------

// 2-D line segment

class Wall2D
{
public:

  Point2D p1, p2;           // endpoints of segment
  Point2D delta;            // dx, dy between p2 and p1
  Point2D normal;           // normal vector to segment

  Wall2D(double, double, double, double);

  void draw();

};

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

#endif
